package algorithms.geneticAlgorithm.holegGA;

import java.util.ArrayList;

import classes.AbstractCpsObject;
import algorithms.geneticAlgorithm.Components.GAIndividual;

public class HolegIndividual extends GAIndividual {
	
	public ArrayList<AbstractCpsObject> holonObjects;
	public ArrayList<GAEdge> holonEdges;
	public ArrayList<HolegIndividual> parents;
	public String id;
	public int gen;
	public int pos;
	
	public HolegIndividual(){
		holonObjects = new  ArrayList<AbstractCpsObject>();
		holonEdges = new ArrayList<GAEdge>();
		parents = new ArrayList<HolegIndividual>();
	}
	
	public ArrayList<HolegIndividual> getParents(){
		return parents;
	}
	
	public void setParents(ArrayList<HolegIndividual> parents){
		this.parents = parents;
	}
	
	public void setId(int Gen, int pos){
		id = "Generation_" + Gen + " Position_" + pos;
	}
	
	public String getId(){
		return id;
	}
}
