package algorithms.geneticAlgorithm.holegGA;

import java.util.ArrayList;

import classes.AbstractCpsObject;
import classes.Category;
import classes.CpsEdge;
import classes.HolonBattery;
import classes.HolonObject;
import classes.HolonSwitch;
import classes.Position;
import ui.controller.Control;
import ui.model.Model;

public class GenAlgoInit {
	
	Control controller;
	Model model;
	GenAlgoWindow window;

	public GenAlgoInit(Control controller, Model model){
		this.controller = controller;
		this.model = model;
	}
	
	public void start(){
		
		window = new GenAlgoWindow(controller, model);
		window.frame.setVisible(true);
	}
	
}
